JasperReports Ultimate Guide - Sample Reference - Schema Reference - Configuration Reference - API (Javadoc)
JasperReports - Components Schema Reference (version 5.6.0) |

This document describes the JRXML structure of the built-in components for the JasperReports Library.

Schemas
| Report Schema Reference
| Components Schema Reference
Components Schema Reference

addressExpression applicationIdentifierExpression barbecue cell chartSettings Codabar Code128 Code39 codeExpression codeExpression (in Barcode4j) column columnFooter columnGroup columnHeader DataMatrix detailCell EAN128 EAN13 EAN8 groupFooter groupHeader icon iconLabel Interleaved2Of5 item itemProperty (in item) label languageExpression latitudeExpression list listContents longitudeExpression map marker markerData markerDataset markerProperty (in marker) maxValueExpression (in spiderPlot) pathData pathStyle patternExpression (in Barcode4j) PDF417 POSTNET RoyalMailCustomer sort | spiderChart spiderDataset spiderPlot symbol table tableFooter tableHeader templateExpression UPCA UPCE USPSIntelligentMail zoomExpression

top
addressExpression
top
applicationIdentifierExpression
top
barbecue
| Parent type: componentType.
| Contains
| codeExpression
| applicationIdentifierExpression
| Attributes
| type
| Type:
| Use: required
| Values
2of7 |  |
3of9 |  |
Bookland |  |
Codabar |  |
Code128 |  |
Code128A |  |
Code128B |  |
Code128C |  |
Code39 |  |
Code39 (Extended) |  |
EAN128 |  |
EAN13 |  |
GlobalTradeItemNumber |  |
Int2of5 |  |
Monarch |  |
NW7 |  |
PDF417 |  |
PostNet |  |
RandomWeightUPCA |  |
SCC14ShippingCode |  |
ShipmentIdentificationNumber |  |
SSCC18 |  |
Std2of5 |  |
UCC128 |  |
UPCA |  |
USD3 |  |
USD4 |  |
USPS |  |
| drawText
| Type: boolean
| Use: optional
| Default: false
| checksumRequired
| Type: boolean
| Use: optional
| Default: false
| barWidth
| Type: unsignedInt
| Use: optional
| barHeight
| Type: unsignedInt
| Use: optional
| evaluationTime
| Type: jr:basicEvaluationTime
| Use: optional
| Values
| Default: Now
| evaluationGroup
| Type: string
| Use: optional
| rotation
| Type of orientation for the barcode object.
| Type:
| Use: optional
| Values
None |  | None.
Left |  | The barcode is rotated with 90 degrees anticlockwise.
Right |  | The barcode is rotated with 90 degrees clockwise.
UpsideDown |  | The barcode is rotated with 180 degrees.
top
cell
top
chartSettings
| Contains
| chartTitle?
| chartSubtitle?
| chartLegend?
| anchorNameExpression?
| hyperlinkReferenceExpression?
| hyperlinkWhenExpression?
| hyperlinkAnchorExpression?
| hyperlinkPageExpression?
| hyperlinkTooltipExpression?
| hyperlinkParameter*
| Attributes
| isShowLegend
| Type:
| Use: optional
| Values
true |  |
false |  |
| backcolor
| Background color of the chart
| Type: string
| Use: optional
| hyperlinkType
| Type: string
| Use: optional
| hyperlinkTarget
| Type: string
| Use: optional
| bookmarkLevel
| Type: NMTOKEN
| Use: optional
| Default: 0
| customizerClass
| Type: string
| Use: optional
| renderType
| Type: string
| Use: optional
top
Codabar
| Parent type: Barcode4j.
| Attributes
| wideFactor
| Type: double
| Use: optional
top
Code128
top
Code39
| Parent type: Barcode4j.
| Attributes
| checksumMode
| Type: c:ChecksumMode4j
| Use: optional
| displayChecksum
| Type: boolean
| Use: optional
| displayStartStop
| Type: boolean
| Use: optional
| extendedCharSetEnabled
| Type: boolean
| Use: optional
| intercharGapWidth
| Type: double
| Use: optional
| wideFactor
| Type: double
| Use: optional
top
codeExpression
top
codeExpression
top
column
| Parent type: BaseColumn.
| Contains
| detailCell
top
columnFooter
top
columnGroup
| Parent type: BaseColumn.
| Contains
| ( columnGroup | column )*
top
columnHeader
top
DataMatrix
| Parent type: Barcode4j.
| Attributes
| shape
| Type:
| Use: optional
| Values
force-none |  |
force-square |  |
force-rectangle |  |
top
detailCell
top
EAN128
| Parent type: Barcode4JCode128.
| Contains
| templateExpression?
| Attributes
| checksumMode
| Type: c:ChecksumMode4j
| Use: optional
top
EAN13
| Parent type: Barcode4j.
| Attributes
| checksumMode
| Type: c:ChecksumMode4j
| Use: optional
top
EAN8
| Parent type: Barcode4j.
| Attributes
| checksumMode
| Type: c:ChecksumMode4j
| Use: optional
top
groupFooter
top
groupHeader
top
icon
| Contains
| textField?
top
iconLabel
| Parent type: componentType.
| Contains
| box?
| label?
| icon?
| Attributes
| iconPosition
| Icon position.
| Type:
| Use: optional
| Values
Start |  |
End |  |
| labelFill
| Text fill policy.
| Type:
| Use: optional
| Values
None |  |
Horizontal |  |
Vertical |  |
Both |  |
| horizontalAlignment
| Horizontal alignment.
| Type:
| Use: optional
| Values
Left |  |
Center |  |
Right |  |
| verticalAlignment
| Vertical alignment.
| Type:
| Use: optional
| Values
Top |  |
Middle |  |
Bottom |  |
top
Interleaved2Of5
| Parent type: Barcode4j.
| Attributes
| checksumMode
| Type: c:ChecksumMode4j
| Use: optional
| displayChecksum
| Type: boolean
| Use: optional
| wideFactor
| Type: double
| Use: optional
top
item
| Contains
| itemProperty*
top
itemProperty
top
label
| Contains
| textField?
top
languageExpression
top
latitudeExpression
top
list
| Parent type: componentType.
| Contains
| datasetRun?
| listContents
| Attributes
| printOrder
| Type:
| Use: optional
| Values
Vertical |  |
Horizontal |  |
| Default: Vertical
| ignoreWidth
| Type: boolean
| Use: optional
top
listContents
| Contains
| ( break | line | rectangle | ellipse | image | staticText | textField | subreport | pieChart | pie3DChart | barChart | bar3DChart | xyBarChart | stackedBarChart | stackedBar3DChart | lineChart | xyLineChart | areaChart | xyAreaChart | scatterChart | bubbleChart | timeSeriesChart | highLowChart | candlestickChart | meterChart | thermometerChart | multiAxisChart | stackedAreaChart | ganttChart | elementGroup | crosstab | frame | componentElement | genericElement )*
| Attributes
| height
| Type: unsignedInt
| Use: required
| width
| Type: unsignedInt
| Use: optional
top
longitudeExpression
top
map
| Parent type: componentType.
| Contains
| latitudeExpression?
| longitudeExpression?
| addressExpression?
| zoomExpression?
| languageExpression?
| ( markerDataset? )?
| pathStyle*
| pathData*
| Attributes
| evaluationTime
| Type: jr:basicEvaluationTime
| Use: optional
| Values
| Default: Now
| evaluationGroup
| Type: string
| Use: optional
| mapType
| Type:
| Use: optional
| Values
roadmap |  |
satellite |  |
terrain |  |
hybrid |  |
| Default: roadmap
| mapScale
| Type:
| Use: optional
| Values
1 |  |
2 |  |
4 |  |
| Default: 1
| imageType
| Type:
| Use: optional
| Values
png |  |
png8 |  |
png32 |  |
gif |  |
jpg |  |
jpg-baseline |  |
| Default: png
| onErrorType
| Type:
| Use: optional
| Values
Error |  |
Blank |  |
Icon |  |
| Default: Error
top
marker
| Contains
| markerProperty*
top
markerData
top
markerDataset
| Contains
| datasetRun?
| marker*
top
markerProperty
top
maxValueExpression
top
pathData
top
pathStyle
top
patternExpression
top
PDF417
| Parent type: Barcode4j.
| Attributes
| minColumns
| Type:
| Use: optional
| maxColumns
| Type:
| Use: optional
| minRows
| Type:
| Use: optional
| maxRows
| Type:
| Use: optional
| widthToHeightRatio
| Type: double
| Use: optional
| errorCorrectionLevel
| Type:
| Use: optional
top
POSTNET
| Parent type: Barcode4j.
| Attributes
| shortBarHeight
| Type: double
| Use: optional
| baselinePosition
| Type:
| Use: optional
| Values
top |  |
bottom |  |
| checksumMode
| Type: c:ChecksumMode4j
| Use: optional
| displayChecksum
| Type: boolean
| Use: optional
| intercharGapWidth
| Type: double
| Use: optional
top
RoyalMailCustomer
top
sort
| Parent type: componentType.
| Contains
| symbol?
| Attributes
| evaluationTime
| Type: jr:basicEvaluationTime
| Use: optional
| Values
| Default: Now
| evaluationGroup
| Type: string
| Use: optional
top
spiderChart
| Parent type: componentType.
| Contains
| chartSettings
| spiderDataset
| spiderPlot
| Attributes
| evaluationTime
| Type: jr:basicEvaluationTime
| Use: optional
| Values
| Default: Now
| evaluationGroup
| Type: string
| Use: optional
top
spiderDataset
| Contains
| dataset?
| categorySeries*
top
spiderPlot
| Contains
| labelFont?
| maxValueExpression?
| Attributes
| rotation
| Specifies the mode the radar axis are drawn (clockwise or anticlockwise).
| Type:
| Use: optional
| Values
Clockwise |  |
Anticlockwise |  |
| tableOrder
| Specifies whether the data series are stored in rows or in columns.
| Type:
| Use: optional
| Values
Row |  |
Column |  |
| isWebFilled
| Specifies if the web polygons are filled or not
| Type:
| Use: optional
| Values
true |  |
false |  |
| startAngle
| Specifies the starting angle for the spider chart axis.
| Type: NMTOKEN
| Use: optional
| headPercent
| Specifies the head radius percent.
| Type: NMTOKEN
| Use: optional
| interiorGap
| Specifies the interior gap percent.
| Type: NMTOKEN
| Use: optional
| axisLineColor
| Specifies the color to use when drawing the line showing the axis.
| Type: string
| Use: optional
| axisLineWidth
| Specifies the axis line width.
| Type: NMTOKEN
| Use: optional
| labelGap
| Specifies the axis label gap percent.
| Type: NMTOKEN
| Use: optional
| labelColor
| Specifies the label foreground color.
| Type: string
| Use: optional
| backcolor
| Background color of the chart
| Type: string
| Use: optional
| backgroundAlpha
| Alpha (transparency) parameter for the background.
| Type: NMTOKEN
| Use: optional
| foregroundAlpha
| Alpha (transparency) parameter for the foreground.
| Type: NMTOKEN
| Use: optional
top
symbol
| Contains
| font?
| Attributes
| sortFieldName
| Type: string
| Use:
| handlerColor
| Type: string
| Use: optional
| sortFieldType
| Sort field type.
| Type:
| Use: optional
| Values
Field |  |
Variable |  |
| Default: Field
| handlerVerticalAlign
| Vertical handler alignment.
| Type:
| Use: optional
| Values
Top |  |
Middle |  |
Bottom |  |
| handlerHorizontalAlign
| Horizontal handler alignment.
| Type:
| Use: optional
| Values
Left |  |
Center |  |
Right |  |
top
table
| Parent type: componentType.
| Contains
| datasetRun?
| ( columnGroup | column )*
| Attributes
| whenNoDataType
| Allows users to customize the behavior of the table when there are now rows in the data source.
| Type:
| Use: optional
| Values
Blank |  | The table output will be blank.
AllSectionsNoDetail |  | All the table sections except the detail section will get printed.
| Default: Blank
top
tableFooter
top
tableHeader
top
templateExpression
top
UPCA
| Parent type: Barcode4j.
| Attributes
| checksumMode
| Type: c:ChecksumMode4j
| Use: optional
top
UPCE
| Parent type: Barcode4j.
| Attributes
| checksumMode
| Type: c:ChecksumMode4j
| Use: optional
top
USPSIntelligentMail
top
zoomExpression
top
Barcode4j
| Parent type: componentType.
| Contains
| codeExpression
| patternExpression
| Attributes
| evaluationTime
| Type: jr:basicEvaluationTime
| Use: optional
| Values
| Default: Now
| evaluationGroup
| Type: string
| Use: optional
| orientation
| Type:
| Use: optional
| Values
0 |  |
90 |  |
180 |  |
270 |  |
| Default: 0
| moduleWidth
| Type: double
| Use: optional
| textPosition
| Type:
| Use: optional
| Values
none |  |
bottom |  |
top |  |
| quietZone
| Type: double
| Use: optional
| verticalQuietZone
| Type: double
| Use: optional
top
Barcode4JCode128
| Parent type: Barcode4j.
top
Barcode4JFourState
| Parent type: Barcode4j.
| Attributes
| ascenderHeight
| Type: double
| Use: optional
| checksumMode
| Type: c:ChecksumMode4j
| Use: optional
| intercharGapWidth
| Type: double
| Use: optional
| trackHeight
| Type: double
| Use: optional
top
BaseColumn
| Contains
| property*
| propertyExpression*
| printWhenExpression?
| tableHeader
| tableFooter
| groupHeader*
| groupFooter*
| columnHeader
| columnFooter
| Attributes
| uuid
| This attribute is auto-generated and is used to uniquely identify elements across multiple report templates.
| Type: string
| Use: optional
| width
| Type: unsignedInt
| Use: required
top
ItemData
| Contains
| dataset?
| item*
top
ItemProperty
| Contains
| valueExpression?
| Attributes
| name
| Type: string
| Use: required
| value
| Type: string
| Use: optional
top
TableCell
| Contains
| property*
| box?
| ( break | line | rectangle | ellipse | image | staticText | textField | subreport | pieChart | pie3DChart | barChart | bar3DChart | xyBarChart | stackedBarChart | stackedBar3DChart | lineChart | xyLineChart | areaChart | xyAreaChart | scatterChart | bubbleChart | timeSeriesChart | highLowChart | candlestickChart | meterChart | thermometerChart | multiAxisChart | stackedAreaChart | ganttChart | elementGroup | crosstab | frame | componentElement | genericElement )*
| Attributes
| style
| Type: string
| Use: optional
| height
| Type: unsignedInt
| Use: required
| rowSpan
| Type: unsignedInt
| Use: optional
top
TableGroupCell
| Contains
| cell
| Attributes
| groupName
| Type: string
| Use: required
© 2001- Jaspersoft Corporation www.jaspersoft.com